
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_address (kpart) ###################

tde_add_kpart( conduit_address AUTOMOC
  SOURCES resolutionDialog_base.ui kaddressbookConduit.ui
    abbrowserSettings.kcfgc resolutionDialog.cpp abbrowser-factory.cpp
    abbrowser-setup.cpp tdeabcRecord.cpp abbrowser-conduit.cpp
  LINK kpilot-shared tdeabc-shared tdeabc_file-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES KPilotCustomFieldEditor.ui
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook/contacteditorpages
)

tde_create_translated_desktop(
  SOURCE abbrowser_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES abbrowserconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
